
%global meadversion 1.6.0
%global namedversion 1.6.0.redhat-7
%global meadalpha .redhat_7
%global meadrel .1
%global serial 1
%global namedversionrel redhat-7

# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%define base_name  pool
%global short_name commons-%{base_name}
%global eap6_name %{short_name}-eap6

%define section    free

%define maven_version 1.6.0.redhat-7

Name:           apache-commons-pool-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Commons Pool Package
License:        ASL 2.0
Group:          Development/Libraries/Java

%if %with mead
Source100: commons-pool-1.6.0.redhat-7-scm-sources.zip
Source102: commons-pool-1.6.0.redhat-7-src.zip
Source103: commons-pool-1.6.0.redhat-7-src.tar.gz
Source104: commons-pool-1.6.0.redhat-7-bin.tar.gz
Source105: commons-pool-1.6.0.redhat-7-project-sources.tar.gz
Source106: commons-pool-1.6.0.redhat-7-bin.zip
Source107: commons-pool-1.6.0.redhat-7-tomcat.jar
Source108: commons-pool-1.6.0.redhat-7.jar
Source109: commons-pool-1.6.0.redhat-7.pom
Source110: commons-pool-1.6.0.redhat-7-javadoc.jar
%endif

URL:            http://commons.apache.org/pool/

BuildRequires:  jpackage-utils

Requires:       java >= 0:1.6.0
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The goal of Pool package it to create and maintain an object 
(instance) pooling package to be distributed under the ASF license.
The package should support a variety of pool implementations, but
encourage support of an interface that makes these implementations
interchangeable.
This package is for EAP6 use only -- see regular commons-pool package.

%package -n apache-commons-pool-tomcat-eap6
Summary:        Commons Pool dependency for Tomcat 6 and 7
Group:          Development/Libraries/Java


%description -n apache-commons-pool-tomcat-eap6
Commons Pool dependency for Tomcat 6 and 7.


%prep

%build

%install
rm -rf %{buildroot}

##DEBUG
ls -l %{_sourcedir}

# jars
mkdir -p %{buildroot}%{_javadir}/%{eap6_name}
cp -p %{_sourcedir}/%{short_name}-%{namedversion}.jar \
      %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-%{namedversion}.jar

ln -s %{short_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}.jar

#tomcat jars
cp -p %{_sourcedir}/%{short_name}-%{namedversion}-tomcat.jar \
      %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-tomcat-%{namedversion}.jar

ln -s %{short_name}-tomcat-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-tomcat.jar

#poms
%{__mkdir} -p %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p %{_sourcedir}/%{short_name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap commons-pool commons-pool %{namedversion} JPP %{name}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{eap6_name}/%{short_name}-%{namedversion}.jar
%{_javadir}*/%{eap6_name}/%{short_name}.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files -n apache-commons-pool-tomcat-eap6
%defattr(0644,root,root,0755)
%{_javadir}*/%{eap6_name}/%{short_name}-tomcat-%{namedversion}.jar
%{_javadir}*/%{eap6_name}/%{short_name}-tomcat.jar

%changelog
* Wed Dec 03 2014 Hui Wang <huwang@redhat.com> - 1.6.0-1.redhat_7.1
- OSGI version fix rebuild

* Wed Oct 16 2013 Hui Wang <huwang@redhat.com> - 0:1.6-7.redhat_5
- Rebuild for using internal source repo

* Tue Mar 26 2013 Yong Yang <yyang@redhat.com> - 0:1.6-6.redhat_4
- Separate tomcat assembly patch from vman patch

* Tue Mar 26 2013 Yong Yang <yyang@redhat.com> - 0:1.6-5.redhat_4
- Fix tomcat assembly
- Bring tomcat subpackage back

* Mon Mar 25 2013 Yong Yang <yyang@redhat.com> - 0:1.6-4.redhat_3
- Patch pom to do the process similar as pool-tomcat5-build.xml, added resource,antrun,jar plugin
- Add tomcat assembly configuration to generate tomcat jar for EWS

* Fri Feb 22 2013 Paul Gier <pgier@redhat.com> - 0:1.6-3.redhat_2
- Rebuild with 6.0.1 compatiblity for JDG

* Tue Feb 19 2013 Yong Yang <yyang@redhat.com> - 0:1.6-2.redhat_1
- Add maven depmap

* Mon Feb 18 2013 Yong Yang <yyang@redhat.com> - 0:1.6-1.redhat_1
- 1.6
- No tomcat jar

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.6-8.redhat_2.1
- Rebuild for MD5

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.6-7.redhat_2.1
- Build suffix

* Mon Jul 23 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.6-6.redhat_1.1
- Rebuild without signing

* Mon Jun 04 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.5.6-6.redhat_1
- Fix content of tomcat subpackage

* Mon Jun 04 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.5.6-5.redhat_1
- Add tomcat subpackage

* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.5.6-4.redhat_1
- Clean MANIFEST

* Fri Apr 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.5.6-3.redhat_1
-Include sources in SRPM

* Wed Apr 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.6-2.redhat_1
- Fix Summary

* Wed Apr 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.6-1.redhat_1
- EAP6 Wrapper of apache-commons-pool

